ChangeSet 1.865.1.1, 2002/12/11 16:11:32+01:00, marcel@holtmann.org

[PATCH] Disable bluetty.o if Bluetooth subsystem is used

This patch disables the USB Bluetooth TTY driver (bluetty.o) from
the drivers/usb/class directory if the Linux Bluetooth subsystem
is selected.


diff -Nru a/drivers/usb/class/Kconfig b/drivers/usb/class/Kconfig
--- a/drivers/usb/class/Kconfig	Fri Dec 13 17:19:12 2002
+++ b/drivers/usb/class/Kconfig	Fri Dec 13 17:19:12 2002
@@ -16,9 +16,12 @@
 	  The module will be called audio.o. If you want to compile it as a
 	  module, say M here and read <file:Documentation/modules.txt>.
 
+comment "USB Bluetooth TTY can only be used with disabled Bluetooth subsystem"
+	depends on USB && BT
+
 config USB_BLUETOOTH_TTY
 	tristate "USB Bluetooth TTY support"
-	depends on USB
+	depends on USB && BT=n
 	---help---
 	  This driver implements a nonstandard tty interface to a Bluetooth
 	  device that can be used only by specialized Bluetooth HCI software.
